> For the complete documentation index, see [llms.txt](https://docs.overdare.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.overdare.com/development/api-reference/enums/easingstyle.md).

# EasingStyle

## Overview

EasingStyle is an Enum that affects how objects move over time.

This is used in the EasingStyle property of TweenInfo and determines what curve form the object's motion will follow as it changes over time in transition effects.

## Items

| Name        | Value | Description                                                                                 |
| ----------- | ----- | ------------------------------------------------------------------------------------------- |
| Linear      | 0     | Moves at a constant speed, without acceleration or deceleration.                            |
| Sine        | 1     | Creates a smooth easing motion that follows a sine wave.                                    |
| Back        | 2     | Exceeds destination slightly and returns to the original position.                          |
| Quad        | 3     | Provides a smooth curve based on quadratic interpolation.                                   |
| Quart       | 4     | Creates a curve steeper than Cubic using quartic interpolation.                             |
| Quint       | 5     | Creates a curve steeper than Quart using quintic interpolation.                             |
| Bounce      | 6     | Bounces several times at destination and stabilizes.                                        |
| Elastic     | 7     | Vibrates like a rubber band, exceeding destination several times.                           |
| Exponential | 8     | Provides the most drastic transition and creates exponential acceleration and deceleration. |
| Circular    | 9     | Provides intense acceleration and smooth deceleration along an arc.                         |
| Cubic       | 10    | Creates a curve steeper than Quad using cubic interpolation.                                |

## See also

{% content-ref url="/pages/4EVzARW6qPxVEJ7Wk2UN" %}
[TweenInfo](/development/api-reference/datatype/tweeninfo.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.overdare.com/development/api-reference/enums/easingstyle.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
